ER_MACRO  dummy dummy 

#HELP	/ncc/db2/doc/HELP
#SOURCE	RADB reimp,4343,user1,pswd1,DB1 0 reimp,4346,/db/nrtm/,5,2	4	n,1
#SOURCE	RIPE reimp,4343,user1,pswd1,DB1 0 reimp,4346,/db/nrtm/,5,2	4	y,1
#SOURCE  RIPE1 yucca,4343,dbase,dbpwd,SNAPSHOT 1 mirr2,113,/db/nrtm2/,6,3  7 n,1

SOURCEFILE /home/engin/REIMP/ncc/RIP/bin/dbupdate/sources.config
UPDSOURCE RIPE orange,3306,dbint,reimp,updtest orange,4343,4346
TESTMODE  0
OVERRIDECRYPTEDPW  ren5C38li6ADw 

AUTODBMHELP    /home/engin/REIMP/ncc/RIP/bin/dbupdate/AUTO-DBM-HELP

CROSSNOTIFYSOURCES	RIPE	RIPE
#UID dbase
#QRYLOG	/tmp/qrylog
#QRY2LOG /tmp/qry2log
#ERRLOG	/tmp/errlog
#AUDITLOG /tmp/auditlog
UPDLOG	/tmp/upd
ACKLOG	/home/engin/REIMP/ncc/RIP/bin/dbupdate/acklog
LOCKDIR  /tmp
                              
#PIDFILE	whoisd.pid
UPDATELOCK STOPUPDATES
#CLEANLOCK  CLEANDB.LOCK
#SERIALDIR        /ncc/db2/serials/current
#OLDSERIALDIR        /ncc/db2/serials/old
#SERIALINCOMINGDIR /ncc/db2/serials/incoming
KEEPOPEN 180
ALLOCMNT RIPE-NCC-HM-MNT 
#GETUPDATESFROM 127\.0\.0\.1
WHOISUPDFROM 193\.0\.0\.1[345678][0-9]
#DENYWHOISACCESS 195\.88\.156\.1
#TMPDIR /home/engin/REIMP/ncc/RIP/bin/dbupdate
TMPDIR /tmp
#PGPV /usr/local/bin/pgpv
#PGPK /usr/local/bin/pgpk
#PGPPATH /ncc/db2/.pgp
PGPPATH /home/engin/.gnupg
GPGCMD /usr/local/bin/gpg
#MAILCMD /var/qmail/bin/qmail-inject -fripe-dbm
MAILCMD /usr/lib/sendmail -fbit-bucket -t
#OVERFLOWSIZE 8096
#DBCACHESIZE 2097152
#NROFNAMES 2
DEFMAIL	engin@ripe.net
HUMAILBOX       bit-bucket@ripe.net	
#HUMAILBOX  engin@ripe.net
AUTOBOX		auto-rip@ripe.net
DUPLICATEPERSONCHECK nostrict
#NOMATCH % No entries found for the selected source(s).
CN_SUBJECT_ADD Subject: RIPE RR: Addition of overlapping routes
CN_SUBJECT_DEL Subject: RIPE RR: Removal  of overlapping routes
CN_EXPLAIN_ADD The addition of your route object ... 
CN_EXPLAIN_DEL The deletion of your route object ... 
CN_OVERLAP_ADD created new overlaps with the following routes ...
CN_OVERLAP_DEL removed the overlaps with the following routes ...
CNO_SUBJECT_ADD Subject: RIPE RR: Addition of overlapping routes
CNO_SUBJECT_DEL Subject: RIPE RR: Removal  of overlapping routes
CNO_EXPLAIN_ADD The addition of the route object ... 
CNO_EXPLAIN_DEL The deletion of the route object ... 
CNO_OVERLAP_ADD created new overlaps with your following routes ...
CNO_OVERLAP_DEL removed the overlaps with your following routes ...
MAILTXT Your e-mail:
MAILTXT
MAILTXT >   From:    $FROM
MAILTXT >   Cc:      $CC
MAILTXT >   Subject: $SUBJECT
MAILTXT >   Date:    $MDATE
MAILTXT >   Msg-Id:  $MSGID
MAILTXT    Test: TIME is $TIME
MAILTXT    Test: DATE is $DATE
MAILTXT
MAILTXT has been processed by the database software.
MAILTXT Diagnostic output follows:
MAILTXT
MAILTXT ------------------------------------------------------------------------
MHEADER From: RIPE Database Management <$HUMAILBOX>
MHEADER Subject: Re: $SUBJECT
MHEADER Reply-To: $HUMAILBOX

FAILURETXT From: RIPE Database Management <$HUMAILBOX>
SUCCESSTXT Subject: SUCCEEDED: $SUBJECT
HELPHEADER Help file requested so body of message ignored.
ACKERR Objects that just generated a WARNING have been updated as shown.
ACKOK No errors were found in your database update.  Congratulations.
ACKSIG RIPE Database Maintenance Department (Automatic Section)
NOTITXT Dear Colleague,
NOTITXT
NOTITXT This is to notify you that some object(s) in the RIPE database
NOTITXT which you either maintain or are listed as to-be-notified have
NOTITXT been added, deleted or changed.
NOTITXT
NOTITXT The objects below are the old and new entries for these objects
NOTITXT in the database. In case of DELETIONS, the deleted object is
NOTITXT displayed. NOOPs are not reported.
NOTITXT
#NOTITXT This is to notify you that some object(s) in the RIPE database

#NOTIMAILTXT The update causing these changes had the following mail headers:
NOTIMAILTXT The update causing these changes had the following mail headers:
NOTIMAILTXT
NOTIMAILTXT - From:    $FROM
NOTIMAILTXT - Subject: $SUBJECT
NOTIMAILTXT - Date:    $MDATE
NOTIMAILTXT - Msg-Id:  $MSGID
NOTIMAILTXT
NOTIMAILTXT RIPE Database Notification Department

NOTINETWORKTXT The update causing these changes came from the following host:
NOTINETWORKTXT
NOTINETWORKTXT - From-Host: $FROMHOST
NOTINETWORKTXT - Date:      $DATE
NOTINETWORKTXT - Time:      $TIME
NOTINETWORKTXT

NHEADER From: RIPE Database Notifications <$HUMAILBOX>
FWHEADER From: RIPE Database Maintainer Forwarding <$HUMAILBOX>
#FWTXT  This is to notify you that some objects in which you are mentioned as
FWTXT
FWTXT  Dear Maintainer,
FWTXT
FWTXT  This is to notify you that some objects in which you are mentioned as
FWTXT  a maintainer were requested to be changed, but *failed* the proper
FWTXT  authorisation for any of the mentioned maintainers.
FWTXT  Please contact the sender of these changes about changes that need
FWTXT  to be made to the following objects.
FWTXT
#FWMAILTXT  The mail message causing these failures had the following mail headers:
FWMAILTXT  The mail message causing these failures had the following mail headers:
FWMAILTXT
FWMAILTXT  - From:    $FROM
FWMAILTXT  - Subject: $SUBJECT
FWMAILTXT  - Date:    $MDATE
FWMAILTXT  - Msg-Id:  $MSGID
FWMAILTXT
FWMAILTXT  RIPE Database Maintainer Forwarding Department
FWNETWORKTXT  The update causing these failures came from the following host:

#MTFWHEADER From: RIPE Database Maintainer Creation <$HUMAILBOX>
#MTFWTXT A maintainer object is requested by:

MTFWHEADER To: <$HUMAILBOX>
MTFWHEADER From: RIPE Database Maintainer Creation <$HUMAILBOX>
MTFWHEADER Subject: Maintainer creation request
MTFWHEADER Reply-To: $HUMAILBOX

MTFWTXT
MTFWTXT A maintainer object is requested by:
MTFWTXT
MTFWTXT - From:    $FROM
MTFWTXT - Cc:      $CC
MTFWTXT - Subject: $SUBJECT
MTFWTXT - Date:    $MDATE
MTFWTXT - Msg-Id:  $MSGID
MTFWTXT
MTFWTXT Please process the object below.
MTFWTXT

#DENYACCESSTXT              * A C C E S S    D E N I E D *
#REFERRALTXT The object shown below is NOT in the RIPE database.
#REFERRALERRORTXT Referred query to host $REFERHOST at port $REFERPORT
#REFERRALLOOPERRORTXT Referral loop detected when querying 
#REFERRALTIMEOUTTXT Referred query to host $REFERHOST at port $REFERPORT
#REFERRALTRUNCTXT Result TRUNCATED. Answer length exceeded limit.
#REFERRALENDTXT %%% End of referred query result
REFERRALTIMEOUT 10
REFERRALMAXLINES 2000
#RIGHTS Copyright (c)1992/1993/1994/1995/1996/1997/1998/1999 by RIPE NCC 
NOTIFLOG /home/engin/REIMP/ncc/RIP/bin/dbupdate/notiflog
FORWLOG /home/engin/REIMP/ncc/RIP/bin/dbupdate/forwlog
CROSSLOG /home/engin/REIMP/ncc/RIP/bin/dbupdate/crosslog
COUNTRY AD
COUNTRY AE
COUNTRY AF
COUNTRY AG
COUNTRY AI
COUNTRY AL
COUNTRY AM
COUNTRY AN
COUNTRY AO
COUNTRY AQ
COUNTRY AR
COUNTRY AS
COUNTRY AT
COUNTRY AU
COUNTRY AW
COUNTRY AZ
COUNTRY BA
COUNTRY BB
COUNTRY BD
COUNTRY BE
COUNTRY BF
COUNTRY BG
COUNTRY BH
COUNTRY BI
COUNTRY BJ
COUNTRY BM
COUNTRY BN
COUNTRY BO
COUNTRY BR
COUNTRY BS
COUNTRY BT
COUNTRY BV
COUNTRY BW
COUNTRY BY
COUNTRY BZ
COUNTRY CA
COUNTRY CC
COUNTRY CD
COUNTRY CF
COUNTRY CG
COUNTRY CH
COUNTRY CI
COUNTRY CK
COUNTRY CL
COUNTRY CM
COUNTRY CN
COUNTRY CO
COUNTRY CR
COUNTRY CU
COUNTRY CV
COUNTRY CX
COUNTRY CY
COUNTRY CZ
COUNTRY DE
COUNTRY DJ
COUNTRY DK
COUNTRY DM
COUNTRY DO
COUNTRY DZ
COUNTRY EC
COUNTRY EE
COUNTRY EG
COUNTRY EH
COUNTRY ER
COUNTRY ES
COUNTRY ET
COUNTRY EU
COUNTRY FI
COUNTRY FJ
COUNTRY FK
COUNTRY FM
COUNTRY FO
COUNTRY FR
COUNTRY FX
COUNTRY GA
COUNTRY GB
COUNTRY GD
COUNTRY GE
COUNTRY GF
COUNTRY GH
COUNTRY GI
COUNTRY GL
COUNTRY GM
COUNTRY GN
COUNTRY GP
COUNTRY GQ
COUNTRY GR
COUNTRY GS
COUNTRY GT
COUNTRY GU
COUNTRY GW
COUNTRY GY
COUNTRY HK
COUNTRY HM
COUNTRY HN
COUNTRY HR
COUNTRY HT
COUNTRY HU
COUNTRY ID
COUNTRY IE
COUNTRY IL
COUNTRY IN
COUNTRY IO
COUNTRY IQ
COUNTRY IR
COUNTRY IS
COUNTRY IT
COUNTRY JM
COUNTRY JO
COUNTRY JP
COUNTRY KE
COUNTRY KG
COUNTRY KH
COUNTRY KI
COUNTRY KM
COUNTRY KN
COUNTRY KP
COUNTRY KR
COUNTRY KW
COUNTRY KY
COUNTRY KZ
COUNTRY LA
COUNTRY LB
COUNTRY LC
COUNTRY LI
COUNTRY LK
COUNTRY LR
COUNTRY LS
COUNTRY LT
COUNTRY LU
COUNTRY LV
COUNTRY LY
COUNTRY MA
COUNTRY MC
COUNTRY MD
COUNTRY MG
COUNTRY MH
COUNTRY MK
COUNTRY ML
COUNTRY MM
COUNTRY MN
COUNTRY MO
COUNTRY MP
COUNTRY MQ
COUNTRY MR
COUNTRY MS
COUNTRY MT
COUNTRY MU
COUNTRY MV
COUNTRY MW
COUNTRY MX
COUNTRY MY
COUNTRY MZ
COUNTRY NA
COUNTRY NC
COUNTRY NE
COUNTRY NF
COUNTRY NG
COUNTRY NI
COUNTRY NL
COUNTRY NO
COUNTRY NP
COUNTRY NR
COUNTRY NU
COUNTRY NZ
COUNTRY OM
COUNTRY PA
COUNTRY PE
COUNTRY PF
COUNTRY PG
COUNTRY PH
COUNTRY PK
COUNTRY PL
COUNTRY PM
COUNTRY PN
COUNTRY PR
COUNTRY PS
COUNTRY PT
COUNTRY PW
COUNTRY PY
COUNTRY QA
COUNTRY RE
COUNTRY RO
COUNTRY RU
COUNTRY RW
COUNTRY SA
COUNTRY SB
COUNTRY SC
COUNTRY SD
COUNTRY SE
COUNTRY SG
COUNTRY SH
COUNTRY SI
COUNTRY SJ
COUNTRY SK
COUNTRY SL
COUNTRY SM
COUNTRY SN
COUNTRY SO
COUNTRY SR
COUNTRY ST
COUNTRY SV
COUNTRY SY
COUNTRY SZ
COUNTRY TC
COUNTRY TD
COUNTRY TF
COUNTRY TG
COUNTRY TH
COUNTRY TJ
COUNTRY TK
COUNTRY TM
COUNTRY TN
COUNTRY TO
COUNTRY TP
COUNTRY TR
COUNTRY TT
COUNTRY TV
COUNTRY TW
COUNTRY TZ
COUNTRY UA
COUNTRY UG
COUNTRY UM
COUNTRY US
COUNTRY UY
COUNTRY UZ
COUNTRY VA
COUNTRY VC
COUNTRY VE
COUNTRY VG
COUNTRY VI
COUNTRY VN
COUNTRY VU
COUNTRY WF
COUNTRY WS
COUNTRY YE
COUNTRY YT
COUNTRY YU
COUNTRY ZA
COUNTRY ZM
COUNTRY ZW

ER_DEF ALLRIPERR /home/engin/REIMP/ncc/RIP/bin/dbupdate/ripupdatelog 
ER_DEF DBUPERR /home/engin/REIMP/ncc/RIP/bin/dbupdate/dbuperrlog
#ER_MACRO  DBUPERR   CREATE dbuperr { FORMAT SEVCHAR|FACSYMB|TEXTLONG|DATETIME NAME $(1) } ( FAC ALL SEV W- )
#
# Location of the help file printed in response
# to "whois help" queries

PW_HELP_FILE /export/db/doc/WHOIS-HELP


###########
##
## Access control
##

##
## In short, access control works in the following way:
## the more you query, the more your "ACL points" grow, 
## until at a certain point you are blocked. 
## First temporarily, then permanently.
## For temporary blocks, your points decay in time.
## These variables configure the decay time.

## (You probably don't want to change these variables).

#
# Interval of the decay (in seconds)

AC_DECAY_INTERVAL 600

#
# Halflife of the decay (in seconds)

AC_DECAY_HALFLIFE 43200


###########
##
## Response texts
##

## The only things you need to change here are the
## pointers to your own URLs and specific site-related information.

#
# Banner. This text comes out before the query is answered.

PW_BANNER % This is the RIPE Whois server.

#
# Standard response header

PW_RESP_HEADER % Rights restricted by copyright.
PW_RESP_HEADER % See http://www.ripe.net/ripencc/pub-services/db/copyright.html
#
# Access control limit reached

PW_LIMIT_REACHED %ERROR:202: access control limit reached
PW_LIMIT_REACHED %
PW_LIMIT_REACHED % You have reached the limit of returned contact information objects.
PW_LIMIT_REACHED % This connection will be terminated now.
PW_LIMIT_REACHED % Continued attempts to return excessive amounts of contact
PW_LIMIT_REACHED % information will result in permanent denial of service.
PW_LIMIT_REACHED % Please do not try to use CONTACT information in
PW_LIMIT_REACHED % RIPE Database for non-operational purposes.
PW_LIMIT_REACHED % Refer to http://www.ripe.net/ripencc/pub-services/db/copyright.html
PW_LIMIT_REACHED % for more information.

#
# Access denied permanently

PW_ACL_PERMDENY %ERROR:201: access denied
PW_ACL_PERMDENY %
PW_ACL_PERMDENY % Sorry, access from your host has been permanently denied
PW_ACL_PERMDENY % because of a repeated abusive behaviour.
PW_ACL_PERMDENY % Please contact <ripe-dbm@ripe.net> for unblocking.


##
## You don't need to change the following response texts
##

#
# No key supplied in query

PW_ERR_NOKEY %ERROR:106: no search key specified
PW_ERR_NOKEY %
PW_ERR_NOKEY % No search key specified

#
# For data retrieved with the "-K" flag

PW_K_FILTER % Note: this output has been filtered.
PW_K_FILTER % Only primary keys will be visible.
PW_K_FILTER % Contact information will not be shown

#
# User is not authorised to pass IP addresses with "-V" flag

PW_ACL_ADDRPASS %ERROR:203: address passing not allowed
PW_ACL_ADDRPASS %
PW_ACL_ADDRPASS % Sorry, you are not allowed to pass addresses on the query line .
PW_ACL_ADDRPASS % Please contact us for such permission. For the moment, continuing
PW_ACL_ADDRPASS % this will cause permanent denial of access.

#
# No object found

PW_NOTFOUND %ERROR:101: no entries found
PW_NOTFOUND %
PW_NOTFOUND % No entries found in the selected source(s).

#
# The connection is administratively or abnormally closed

PW_CONNCLOSED %ERROR:301: connection has been closed 
PW_CONNCLOSED %
PW_CONNCLOSED % The connection has been closed. 

#
# Unknown attribute in query

QC_BADATTR %ERROR:104: unknown attribute
QC_BADATTR %
QC_BADATTR % Unknown attribute encountered.

#
# The attribute specified is not inverse searchable

QC_FMT_ATTRNOTINV %%ERROR:105: attribute is not searchable
QC_FMT_ATTRNOTINV %%
QC_FMT_ATTRNOTINV %% "\"%s\" is not an inverse searchable attribute.

#
# There is no such source

QC_FMT_BADSOURCE %%ERROR:102: unknown source
QC_FMT_BADSOURCE %%
QC_FMT_BADSOURCE %% Unknown source %s requested.

#
# There is no such object type

QC_BADOBJTYPE %ERROR:103: unknown object type
QC_BADOBJTYPE %
QC_BADOBJTYPE % Unknown object type encountered.

#
# Referral timeout error

QI_REF_TMOUT %ERROR:302: referral timeout
QI_REF_TMOUT %
QI_REF_TMOUT % Referral timeout

#
# Maximum referral lines allowed

REFERRALMAXLINES 250

#
# Maximum referral lines exceeded message

QI_REF_OVERMAXLIN %ERROR:204: maximum referral lines exceeded
QI_REF_OVERMAXLIN %
QI_REF_OVERMAXLIN % Referral reply line limit exceeded

#
# No referral host

QI_REF_BADHOST %ERROR:303: no referral host
QI_REF_BADHOST %
QI_REF_BADHOST % Referral host not found

#
# Host not responding

QI_REF_HOSTNOTTRESP %ERROR:304: referral host not responding 
QI_REF_HOSTNOTTRESP %
QI_REF_HOSTNOTTRESP % Referral host not responding

#
# Referral header

QI_FMT_REFHEADER %% The object shown below is NOT in the %s database.
QI_FMT_REFHEADER %% It has been obtained by querying a remote server:
QI_FMT_REFHEADER %% (%s) at port %d.
QI_FMT_REFHEADER %% To see the object stored in the %s database
QI_FMT_REFHEADER %% use the -R flag in your query
QI_FMT_REFHEADER %%
QI_FMT_REFHEADER %%REFERRAL START

#
# Referral trailer 

QI_REFTRAILER %%REFERRAL END


#
# Port for the whois server

SVWHOIS_PORT 43001

#
# Port for the config interface

SVCONFIG_PORT 43002

#
# Port for the mirroring server

SVMIRROR_PORT 43003


#
# Where is the RIPADMIN database
# Syntax:
# RIPADMIN MySQL_Host,MySQL_Port,MySQL_User,MySQL_Password,MySQL_RIPADMIN_DB

RIPADMIN orange,3306,dbint,reimp,RIPADMIN_update

#
# All update transactions are logged here

ER_UD_DEF RIPUPDLOG /export/db/log/ripupd/ripupdlog

